classification
Title: dir on a compiled re does not show pattern as a part of the list
Type: behavior Stage: resolved
Components: Regular Expressions Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, bartoszr
Priority: normal Keywords:

Created on 2008-10-10 12:36 by bartoszr, last changed 2013-03-13 21:25 by ezio.melotti. This issue is now closed.

Messages (3)
msg74632 - (view) Author: Bartosz Radaczyński (bartoszr) Date: 2008-10-10 12:36
It does not show a few other things that are listed here:
http://www.python.org/doc/2.5.2/lib/re-objects.html
msg74633 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-10-10 12:46
This was corrected on the py3k branch by #3247, r64672.
In this change, each file is independent; some of them could be
backported to the trunk.
msg74634 - (view) Author: Bartosz Radaczyński (bartoszr) Date: 2008-10-10 13:12
Cool.
History
Date User Action Args
2013-03-13 21:25:49ezio.melottisetstatus: open -> closed
resolution: out of date
stage: resolved
2010-06-17 01:21:24terry.reedysetversions: + Python 2.7, - Python 2.5
2008-10-10 13:12:25bartoszrsetmessages: + msg74634
2008-10-10 12:46:39amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg74633
2008-10-10 12:36:21bartoszrcreate